# TabbedSubpages -- Aggregates references content objects and tabs them
#
# (c) 2006 Martin F. Krafft <tabbedsubpages@pobox.madduck.net>
# distributed under the terms of the Artistic Licence.
# See the ./COPYING file in the source tree root for more information.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
# MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

__author__ = 'martin f. krafft'
__docformat__ = 'restructuredtext'

"""
"""
from Products.CMFCore.DirectoryView import registerDirectory
from Products.Archetypes.public import process_types, listTypes
from Products.CMFCore import utils

from config import SKINS_DIR, GLOBALS, PROJECTNAME
from permissions import AddTabbedSubpages

try:
  import CustomizationPolicy
except ImportError:
  CustomizationPolicy = None

registerDirectory(SKINS_DIR, GLOBALS)

def initialize(portal):
  import content.TabbedSubpages

  content_types, constructors, ftis = \
    process_types(listTypes(PROJECTNAME), PROJECTNAME)

  utils.ContentInit(
    PROJECTNAME,
    content_types      = content_types,
    permission         = AddTabbedSubpages,
    extra_constructors = constructors,
    fti                = ftis,
    ).initialize(portal)

  if CustomizationPolicy and hasattr(CustomizationPolicy, 'register'):
    CustomizationPolicy.register(context)
    print 'Customizationpolicy for %s installed' % PROJECTNAME
