# TabbedSubpages -- Aggregates references content objects and tabs them
#
# (c) 2006 Martin F. Krafft <tabbedsubpages@pobox.madduck.net>
# distributed under the terms of the Artistic Licence.
# See the ./COPYING file in the source tree root for more information.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
# MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

__author__ = 'martin f. krafft'
__docformat__ = 'restructuredtext'

"""
"""
from AccessControl import ClassSecurityInfo
from Products.TabbedSubpages.schemata import TabbedSubpages
from Products.ATContentTypes.content.document import ATDocument
from Products.CMFCore.permissions import View

from Products.TabbedSubpages.config import TYPE_PARAMS

class TabbedSubpages(ATDocument):
  """
  Represents a page aggregating the content of referenced "sub-pages".
  Each sub-page gets a tab so that only one sub-page is shown at a time.
  """
  security = ClassSecurityInfo()

  portal_type = meta_type = TYPE_PARAMS['TabbedSubpages']['portal_type']
  archetype_name = TYPE_PARAMS['TabbedSubpages']['archetype_name']
  immediate_view = default_view = TYPE_PARAMS['TabbedSubpages']['default_view']

  actions = ({ 'id': 'view'
             , 'name': 'View'
             , 'action': 'string:${object_url}/' + default_view
             , 'permissions': (View,)
             },
            )

  schema = TabbedSubpages.schema

try:
  from Products.LinguaPlone.public import registerType
except ImportError:
  from Products.Archetypes.public import registerType
registerType(TabbedSubpages)
