# TabbedSubpages -- Aggregates references content objects and tabs them
#
# (c) 2006 Martin F. Krafft <tabbedsubpages@pobox.madduck.net>
# distributed under the terms of the Artistic Licence.
# See the ./COPYING file in the source tree root for more information.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
# MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

__author__ = 'martin f. krafft'
__docformat__ = 'restructuredtext'

"""
"""
try:
  from Products.LinguaPlone.public import *
except ImportError:
  from Products.Archetypes.public import *

from Products.ATContentTypes.content.document import ATDocumentSchema

from Products.ATReferenceBrowserWidget.ATReferenceBrowserWidget import ReferenceBrowserWidget

schema = ATDocumentSchema.copy() + Schema((

    BooleanField('showtitle',
      default=1,
      widget=BooleanWidget(
        i18n_domain='TabbedSubpages',
        description="""Should the aggregator's title be shown before all subpages?""",
        description_msgid='TabbedSubpages_help_showtitle',
        label='Show main title',
        label_msgid='TabbedSubpages_label_showtitle',
      )),

    ReferenceField('subpages',
      multiValued=1,
      relationship='renders',
      languageIndependent=0,
      required=0,
      allowed_types=('Document',),
      widget=ReferenceBrowserWidget(
        i18n_domain='TabbedSubpages',
        description='Reference the pages to render as sub-pages',
        description_msgid='TabbedSubpages_help_subpages',
        label='Sub-pages',
        label_msgid='TabbedSubpages_label_subpages',
        allow_search=1,
        allow_browse=1,
        show_indexes=0,
        force_close_on_insert=1,
        visible = {'edit' : 'visible', 'view' : 'invisible' }
      )),

  ))

schema['title'].required = 0
schema['text'].required = 0

for i in range(0, 4):
  schema.moveField('showtitle', -1)
  schema.moveField('subpages', -1)
for i in range(0, 2):
  schema.moveField('subpages', -1)
